geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mark Struberg (JIRA)" <j...@apache.org>
Subject [jira] Created: (GERONIMO-5438) latest geronimo-3 trunk doesn't compile against latest OpenEJB trunk
Date Wed, 07 Jul 2010 21:57:49 GMT
latest geronimo-3 trunk doesn't compile against latest OpenEJB trunk
--------------------------------------------------------------------

                 Key: GERONIMO-5438
                 URL: https://issues.apache.org/jira/browse/GERONIMO-5438
             Project: Geronimo
          Issue Type: Bug
      Security Level: public (Regular issues)
          Components: OpenEJB
    Affects Versions: 3.0
            Reporter: Mark Struberg
             Fix For: 3.0


The following errors happen while compiling geronimo-openejb

/home/msx/develop/java/apache/geronimo/server/plugins/openejb/geronimo-openejb/src/main/java/org/apache/geronimo/openejb/GeronimoSecurityService.java:[53,45]
[deprecation] login(java.lang.String,javax.security.auth.callback.CallbackHandler) in org.apache.geronimo.security.ContextManager
has been deprecated

/home/msx/develop/java/apache/geronimo/server/plugins/openejb/geronimo-openejb/src/main/java/org/apache/geronimo/openejb/EntityManagerRegistryImpl.java:[52,36]
getEntityManager(javax.persistence.EntityManagerFactory,java.util.Map,boolean,java.lang.String)
in org.apache.openejb.persistence.JtaEntityManagerRegistry cannot be applied to (javax.persistence.EntityManagerFactory,java.util.Map,boolean)


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message